# DrudeLangevinIntegrator Class Reference

This Integrator simulates systems that include Drude particles. More...

Inheritance diagram for DrudeLangevinIntegrator:

List of all members.

## Public Member Functions

def | getTemperature
| getTemperature(self) -> double
def | setTemperature
| setTemperature(self, double temp)
def | getFriction
| getFriction(self) -> double
def | setFriction
| setFriction(self, double coeff)
def | getDrudeTemperature
| getDrudeTemperature(self) -> double
def | setDrudeTemperature
| setDrudeTemperature(self, double temp)
def | getDrudeFriction
| getDrudeFriction(self) -> double
def | setDrudeFriction
| setDrudeFriction(self, double coeff)
def | getRandomNumberSeed
| getRandomNumberSeed(self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(self, int seed)
def | step
| step(self, int steps)
def | __init__
| __init__(self, double temperature, double frictionCoeff, double drudeTemperature, double drudeFrictionCoeff, double stepSize) -> DrudeLangevinIntegrator __init__(self, DrudeLangevinIntegrator other) -> DrudeLangevinIntegrator
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This Integrator simulates systems that include Drude particles.

It applies two different Langevin thermostats to different parts of the system. The first is applied to ordinary particles (ones that are not part of a Drude particle pair), as well as to the center of mass of each Drude particle pair. A second thermostat, typically with a much lower temperature, is applied to the relative internal displacement of each pair.

This Integrator requires the System to include a DrudeForce, which it uses to identify the Drude particles.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Integrator.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, double temperature, double frictionCoeff, double drudeTemperature, double drudeFrictionCoeff, double stepSize) -> DrudeLangevinIntegrator __init__(self, DrudeLangevinIntegrator other) -> DrudeLangevinIntegrator

Create a DrudeLangevinIntegrator.

Parameters:

  | temperature | the temperature of the main heat bath (in Kelvin)
  | frictionCoeff | the friction coefficient which couples the system to the main heat bath (in inverse picoseconds)
  | drudeTemperature | the temperature of the heat bath applied to internal coordinates of Drude particles (in Kelvin)
  | drudeFrictionCoeff | the friction coefficient which couples the system to the heat bath applied to internal coordinates of Drude particles (in inverse picoseconds)
  | stepSize | the step size with which to integrator the system (in picoseconds)

def getDrudeFriction | ( |  | self | ) |

getDrudeFriction(self) -> double

Get the friction coefficient which determines how strongly the internal coordinates of Drude particles are coupled to the heat bath (in inverse ps).

def getDrudeTemperature | ( |  | self | ) |

getDrudeTemperature(self) -> double

Get the temperature of the heat bath applied to internal coordinates of Drude particles (in Kelvin).

def getFriction | ( |  | self | ) |

getFriction(self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the main heat bath (in inverse ps).

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def getTemperature | ( |  | self | ) |

getTemperature(self) -> double

Get the temperature of the main heat bath (in Kelvin).

def setDrudeFriction | ( |  | self,
|  |  | args |
| ) |  |  |

setDrudeFriction(self, double coeff)

Set the friction coefficient which determines how strongly the internal coordinates of Drude particles are coupled to the heat bath (in inverse ps).

Parameters:

  | coeff | the friction coefficient, measured in 1/ps

def setDrudeTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setDrudeTemperature(self, double temp)

Set the temperature of the heat bath applied to internal coordinates of Drude particles (in Kelvin).

Parameters:

  | temp | the temperature of the heat bath, measured in Kelvin

def setFriction | ( |  | self,
|  |  | args |
| ) |  |  |

setFriction(self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the main heat bath (in inverse ps).

Parameters:

  | coeff | the friction coefficient, measured in 1/ps

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def setTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setTemperature(self, double temp)

Set the temperature of the main heat bath (in Kelvin).

Parameters:

  | temp | the temperature of the heat bath, measured in Kelvin

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented from Integrator.

## Member Data Documentation

this

Reimplemented from Integrator.

The documentation for this class was generated from the following file:

- openmm.py